%%%%%
%%%%% This problem is used by: 0sn,10,divtrans
%%%%%
        The purpose of this homework problem is to prove that the
        divergence is invariant with respect to translations. That is, it
        doesn't matter where you choose to put the origin of your
        coordinate system. Suppose we have a field of the form
        $\vc{E}=ax\hat{\vc{x}}+by\hat{\vc{y}}+cz\hat{\vc{z}}$.
        This is the most general field we need to consider in
        any small region as far as the divergence is concerned. (The dependence
        on $x$, $y$, and $z$ is linear, but any smooth function looks
        linear close up. We also don't need to put in terms like
        $x\hat{\vc{y}}$, because they don't contribute to the divergence.)
        Define a new set of coordinates $(u,v,w)$ related to $(x,y,z)$  by
        \begin{align*}
                        x  &=  u + p  \\
                        y  &=  v + q     \\
                        z  &=  w + r   \qquad   ,  
        \end{align*}
        where $p$, $q$, and $r$ are constants. Show that the field's
        divergence is the same in these new coordinates. Note that $\hat{\vc{x}}$
        and $\hat{\vc{u}}$ are identical, and similarly for the other coordinates.
